<?php
@session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');

$mostrarFondo=true;
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');


//25-09-2025 mejoro el salto desde login con parametros de pantalla
if(isset($_GET['pantalla']) && $_GET['pantalla']) {

	$pantalla=urldecode($_GET['pantalla']);
	
	$parametros='';
	if(isset($_GET['parametros']) && $_GET['parametros']) {
		$parametros=$_GET['parametros'];
		$parametrosDecodificados=urldecode($parametros);
	}
	
	//echo '<p>Pantalla: '.$pantalla.'</p>';
	//echo '<p>Parámetros: '.$parametros.'</p>';
	//echo '<p>Parámetros decodificados: '.$parametrosDecodificados.'</p>';
}




if($traza) {
	echo "<p>Almacenes:</p>";
	print_r($_SESSION['almacenes']);
}

if(isset($_POST['boton']) && $_POST['boton']=='Confirmar') {
	
	foreach($_SESSION['almacenes'] as $item) if($item['Codigo']==$_POST['almacen']) $almacen=$item;
	
	//Aqui se han agrupado todos los parametros que se obtienen según almacen, esta inclusión se hace en login.php y en seleccionar-almacen.php
	include('parametros-almacen.php');
	
	if($traza) {
		echo "<p>Almacén: ".$_SESSION['almacen']."</p>";
		echo "<p>Tipo gestión: ".$_SESSION['tipoGestion']."</p>";
		echo "<p>Ver en cajas: ".$_SESSION['VerEnCajas']."</p>";
		echo "<p>Parámetros SGA:</p>";
		print_r($_SESSION['parametrosSGA']);
	}
	else {
	
		$redireccion=$rutaHtml;
	
		if(isset($pantalla) && $pantalla) {
			$redireccion.='/'.$pantalla.'?'.$parametrosDecodificados;
		}
		else {
			$redireccion.='/index.php';
		}
		
		//echo '<p>redireccion: '.$redireccion.'</p>';
		
		?><script>window.location="<?php echo $redireccion; ?>";</script><?php 
	}
}

?>
<h2>Seleccionar Almacén</h2>

<?php if(count($_SESSION['almacenes'])>1) { ?>

<form id="formularioAlmacen" name="formularioAlmacen" method="post" action="">
<p>Almacén:<br />
<select name="almacen" id="almacen" class="campo">
<?php
foreach($_SESSION['almacenes'] as $almacen) {
	?><option value="<?php echo $almacen['Codigo']; ?>" <?php if($_SESSION['almacen']==$almacen['Codigo']) { ?>selected<?php } ?>><?php echo $almacen['Nombre']; ?></option><?php
}
?>
</select>
</p>
<p><input type="submit" name="boton" id="boton" value="Confirmar" class="mostrarCargando boton"/></p>
</form>

<?php } else { ?>

<p class="error">Error: No existe ningún almacén permitido para este usuario.</p>

<form id="desconectar" name="desconectar" method="post" action="<?php echo $rutaHtml; ?>/acceso/logout.php">
<p><input type="submit" name="boton" id="boton" value="Volver al inicio" class="boton"/></p>
</form>

<?php } ?>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
